
Redmine - Feature #14727

Display pretty notification email sender name

2013-08-21 07:40 - Huang Ruhua

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

in app/model/mailer.rb, add app title to email sender name, like:

```

'From' => Setting.app_title + '<' + Setting.mail_from + '>'

```

Related issues:

Related to Redmine - Feature #247: Notification mail sender is the author and... Closed

Related to Redmine - Feature #5913: Authors name in from  address of email no... Closed 2010-07-20

History

#1 - 2013-08-21 10:59 - Etienne Massip

- Tracker changed from Defect to Feature

- Subject changed from pretty mail sender name display to Display pretty notification email sender name

- Category set to Email notifications

At some point of time it was possible to set the Emission email address field value to this format in administration.

I haven't tried recently, could you?

#2 - 2013-08-21 12:31 - Huang Ruhua

I tried to use AppName<noreply@xxx.com> as Emission email address, but it doesn't work.

#3 - 2014-01-20 16:07 - Huang Ruhua

when can fix this issue?

#4 - 2014-01-20 20:44 - Jan from Planio www.plan.io

Huang Ruhua wrote:

when can fix this issue?

 Please note that Redmine is an Open Source project, developed by individual volunteers. There is no formal agenda or schedule for features, aside

from the information on the issues in this tracker, so there is no actual answer to your question.

The best way to get a certain feature implemented is to (a) develop it yourself or (b) pay a Redmine company/professional to develop it for you. In any

case, please consider contributing a patch here on redmine.org afterwards, so that the community can benefit from it as well.

#5 - 2015-12-02 09:40 - Sebastian Paluch

Huang Ruhua wrote:

I tried to use AppName<noreply@xxx.com> as Emission email address, but it doesn't work.

 This does work in 3.1.0.

#6 - 2015-12-30 16:49 - Toshi MARUYAMA

- Related to Feature #247: Notification mail sender is the author and includes project information. added
#7 - 2019-02-11 06:26 - Go MAEDA

- Related to Feature #5913: Authors name in from  address of email notifications added

#8 - 2019-02-11 08:19 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

You can set the value like "AppName <redmine@example.com>" to the "Emission email address" setting. The current versions of Redmine officially

support the format: source:tags/4.0.1/test/unit/mailer_test.rb#L243

#9 - 2020-01-09 10:17 - Aleksandar Pavic

I would say this is a workaround, it's confusing for users to enter AppName together with email, in all email client configurations/settings it's logical to

have sender name, and sender email address (which is used as replyTo address).

I would suggest to create additional field called: Emission email sender name:
